(defun c:SetCustomFileLocations (/ )
  (setenv "ACAD" (strcat (getenv "ACAD") ";c:\\autocad\\support\\autolisp;c:\\autocad\\support\\blocks;"))

  (setvar "ACTPATH" "c:\\autocad\\support\\action macros")

  (setvar "TRUSTEDPATHS" (strcat (getvar "TRUSTEDPATHS") ";c:\\autocad\\support\\autolisp"))
)

(defun c:CopyProfile()
  ;; Copy the current and reset the copied profile
  (setq acadObj (vlax-get-acad-object))
  (setq objPrefs (vla-get-Preferences acadObj))
  
  ;; Get the PreferencesProfiles object
   (setq objPrefProfile (vla-get-Profiles objPrefs))

  ;; Get the name of the current profile and for the new profile
  (setq curProfile (vla-get-ActiveProfile objPrefProfile)
        destProfile "AU2020-LSP-Copied")

  ;; Copy and reset the profile
  (vla-CopyProfile objPrefProfile curProfile destProfile)
  ;(vla-ResetProfile objPrefProfile destProfile)

  ;; Set the new profile current
  (vla-put-ActiveProfile objPrefProfile destProfile)

  ;; Add the autolisp and blocks folders to support paths
  (setq objPrefFiles (vla-get-Files objPrefs))

  (setq supportPaths (strcat (vla-get-SupportPath objPrefFiles)
                             ";c:\\autocad\\support\\autolisp;c:\\autocad\\support\\blocks;"))

  (vla-put-SupportPath objPrefFiles supportPaths)
)